import csv


class DataOutput:

    def __init__(self):
        self.datas = []

    def store_data(self, data):
        if data is None:
            return
        self.datas.append(data)

    def output_file(self):
        out = open("woniu.csv", 'w', newline='', encoding='utf-8')
        csv_writer = csv.writer(out, dialect='excel')
        # 记录文章的标题title、发布日期date以及阅读次数readcount
        csv_writer.writerow(['title', 'date', 'readcount'])
        for data in self.datas:
            csv_writer.writerow([data['title'], data['date'], data['readcount']])
